=== debian/changelog ===
collada-dom (2.3.2.3-ubuntu1~natty1) natty; urgency=low

  * Package built with CMake

 -- OpenRAVE Testing (Testing and Releasing of OpenRAVE Packages) <openrave.testing@gmail.com>  Wed, 19 Oct 2011 16:20:12 +0900
