=== debian/control ===
Source: collada-dom
Section: libs
Priority: optional
DM-Upload-Allowed: yes
Maintainer: OpenRAVE Testing (Testing and Releasing of OpenRAVE Packages) <openrave.testing@gmail.com>
Build-Depends: debhelper, cmake, libxml2-dev, libboost-dev, zlib1g-dev, libboost-filesystem-dev, libboost-system-dev, libpcre3-dev, pkg-config, 
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/collada-dom

Package: collada-dom
Architecture: any
Suggests: 
Depends: libcolladadom-dev, libcollada15dom, libcollada15dom-dev, libcollada14dom, libcollada14dom-dev, 
Description: collada-dom 2.3.2  - COLLADA
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!

Package: libcolladadom-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: collada-dom 2.3.2 common headers and installs
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!
 .
 

Package: libcollada15dom
Architecture: any
Depends: ${shlibs:Depends}
Description: collada-dom 2.3.2 
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!
 .
 

Package: libcollada15dom-dev
Architecture: any
Depends: ${shlibs:Depends}, libcolladadom-dev, libcollada15dom
Description: collada-dom 2.3.2 
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!
 .
 

Package: libcollada14dom
Architecture: any
Depends: ${shlibs:Depends}
Description: collada-dom 2.3.2 
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!
 .
 

Package: libcollada14dom-dev
Architecture: any
Depends: ${shlibs:Depends}, libcolladadom-dev, libcollada14dom
Description: collada-dom 2.3.2 
 The COLLADA Document Object Model (DOM) is an application programming interface (API) that provides a C++ object representation of a COLLADA XML instance document. Contact a project admin to become a developer!
 .
