=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = build_dir

build:
	mkdir $(BUILDDIR)
	cd $(BUILDDIR); cmake -DCMAKE_BUILD_TYPE=Release -DBASH_COMPLETION_DIR=../etc/bash_completion.d -DCMAKE_INSTALL_PREFIX=/usr ..
	$(MAKE) -C $(BUILDDIR) preinstall
	touch build

binary: binary-indep binary-arch

binary-indep: build

binary-arch: build
	cd $(BUILDDIR); cmake -DCOMPONENT=Unspecified -DCMAKE_INSTALL_PREFIX=../debian/tmp/usr -P cmake_install.cmake
	mkdir -p debian/tmp/DEBIAN
	dpkg-gensymbols -pcollada-dom
	cd $(BUILDDIR); cmake -DCOMPONENT=libcolladadom-dev -DCMAKE_INSTALL_PREFIX=../debian/libcolladadom-dev/usr -P cmake_install.cmake
	mkdir -p debian/libcolladadom-dev/DEBIAN
	dpkg-gensymbols -plibcolladadom-dev -Pdebian/libcolladadom-dev
	cd $(BUILDDIR); cmake -DCOMPONENT=libcollada15dom -DCMAKE_INSTALL_PREFIX=../debian/libcollada15dom/usr -P cmake_install.cmake
	mkdir -p debian/libcollada15dom/DEBIAN
	dpkg-gensymbols -plibcollada15dom -Pdebian/libcollada15dom
	cd $(BUILDDIR); cmake -DCOMPONENT=libcollada15dom-dev -DCMAKE_INSTALL_PREFIX=../debian/libcollada15dom-dev/usr -P cmake_install.cmake
	mkdir -p debian/libcollada15dom-dev/DEBIAN
	dpkg-gensymbols -plibcollada15dom-dev -Pdebian/libcollada15dom-dev
	cd $(BUILDDIR); cmake -DCOMPONENT=libcollada14dom -DCMAKE_INSTALL_PREFIX=../debian/libcollada14dom/usr -P cmake_install.cmake
	mkdir -p debian/libcollada14dom/DEBIAN
	dpkg-gensymbols -plibcollada14dom -Pdebian/libcollada14dom
	cd $(BUILDDIR); cmake -DCOMPONENT=libcollada14dom-dev -DCMAKE_INSTALL_PREFIX=../debian/libcollada14dom-dev/usr -P cmake_install.cmake
	mkdir -p debian/libcollada14dom-dev/DEBIAN
	dpkg-gensymbols -plibcollada14dom-dev -Pdebian/libcollada14dom-dev
	dh_shlibdeps
	dh_strip
	dpkg-gencontrol -pcollada-dom
	dpkg --build debian/tmp ..
	dpkg-gencontrol -plibcolladadom-dev -Pdebian/libcolladadom-dev -Tdebian/libcolladadom-dev.substvars
	dpkg --build debian/libcolladadom-dev ..
	dpkg-gencontrol -plibcollada15dom -Pdebian/libcollada15dom -Tdebian/libcollada15dom.substvars
	dpkg --build debian/libcollada15dom ..
	dpkg-gencontrol -plibcollada15dom-dev -Pdebian/libcollada15dom-dev -Tdebian/libcollada15dom-dev.substvars
	dpkg --build debian/libcollada15dom-dev ..
	dpkg-gencontrol -plibcollada14dom -Pdebian/libcollada14dom -Tdebian/libcollada14dom.substvars
	dpkg --build debian/libcollada14dom ..
	dpkg-gencontrol -plibcollada14dom-dev -Pdebian/libcollada14dom-dev -Tdebian/libcollada14dom-dev.substvars
	dpkg --build debian/libcollada14dom-dev ..

clean:
	rm -f build
	rm -rf $(BUILDDIR)

.PHONY: binary binary-arch binary-indep clean
