=== debian/changelog ===
collada-dom (2.4.3+ds3-1) unstable; urgency=medium

  * Remove non-free test files from DFSG tarball 

 -- Wookey <wookey@debian.org>  Wed, 14 Oct 2015 18:34:59 +0100

collada-dom (2.4.3+ds2-1.1) unstable; urgency=low

  [ Leopold Palomo-Avellaneda ]
  * Initial release,  (Closes: #589152).
  * Using the Rosen Diankov version. It's maintained.

 -- Wookey <wookey@debian.org>  Tue, 13 Oct 2015 04:41:37 +0100
