=== debian/control ===
Source: collada-dom
Priority: optional
Section: Libs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
	   Rosen Diankov <rosen.diankov@gmail.com>,
	   Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 9), quilt, cmake, libxml2-dev, 
 libboost-dev, zlib1g-dev, libboost-filesystem-dev, libboost-system-dev, 
 libpcre3-dev, pkg-config, libminizip-dev
Standards-Version: 3.9.6
Homepage: https://github.com/rdiankov/collada-dom
Vcs-Git: git://anonscm.debian.org/debian-science/packages/collada-dom.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/collada-dom.git

Package: libcollada-dom2.4-dp0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libbullet2
Description: collada-dom 2.4.0  - COLLADA using double precision
 The COLLADA Document Object Model (DOM) is an application programming
 interface (API) that provides a C++ object representation of a COLLADA XML
 instance document. 

Package: libcollada-dom2.4-dp-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp0 (=${binary:Version})
Provides: libcollada-dom-dev
Suggests: libbullet2-dev
Description: collada-dom 2.4.0 C++ headers and build tools
 The COLLADA Document Object Model (DOM) is an application programming
 interface (API) that provides a C++ object representation of a COLLADA XML
 instance document. 
 .
