## collada-dom 2.4.4%2Bds1

=== debian/changelog ===
collada-dom (2.4.4+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Add liburiparser-dev.
  * Increase debhelper compat to 9
  * Added Wookey Copyright to the debian dir
  * Added parallel build
  * Fixed Lintian warnings in copyright file

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 17 Nov 2015 00:24:09 +0100
