## collada-dom 2.4.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Define here the needed parameters
 set (COLLADA_DOM_VERSION_MAJOR 2)
 set (COLLADA_DOM_VERSION_MINOR 4)
-set (COLLADA_DOM_VERSION_PATCH 3)
+set (COLLADA_DOM_VERSION_PATCH 4)
 set (COLLADA_DOM_VERSION ${COLLADA_DOM_VERSION_MAJOR}.${COLLADA_DOM_VERSION_MINOR}.${COLLADA_DOM_VERSION_PATCH})
 set (COLLADA_DOM_SOVERSION ${COLLADA_DOM_VERSION_MAJOR}.${COLLADA_DOM_VERSION_MINOR})
 
@@ -46,6 +46,7 @@
 option(OPT_BUILD_PACKAGES "Set to ON to generate CPack configuration files and packaging targets" OFF)
 option(OPT_BUILD_PACKAGE_DEFAULT "Set to ON to generate a default openrave package that creates symlinks" ON)
 option(OPT_DOUBLE_PRECISION "Use double precision for everything (daeFloat included)" ON)
+#option(OPT_USE_PCRECPP "Use pcrecpp library to find basename and parse uri, otherwise use parseruri and basename function" OFF)
 
 set(COLLADA_DOM_EXTERNAL_FLAGS)
 if( OPT_COLLADA14 )
@@ -226,25 +227,32 @@
   set(MINIZIP_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/dom/external-libs/minizip-1.1 ${ZLIB_INCLUDE_DIR})
 endif()
 
-pkg_check_modules(libpcrecpp libpcrecpp)
-if( libpcrecpp_FOUND )
-  set(CMAKE_REQUIRED_INCLUDES ${libpcrecpp_INCLUDE_DIRS})
-  check_include_file_cxx(pcrecpp.h HAVE_PCRECPP_H)
-  set(CMAKE_REQUIRED_INCLUDES)
-  if( NOT HAVE_PCRECPP_H )
-    set(libpcrecpp_FOUND 0)
-  endif()
-endif()
-
-if( NOT libpcrecpp_FOUND )
-  message(STATUS "System pcre not found, using local from sources")
-  # include the local pcre
-  add_subdirectory(dom/external-libs/pcre-8.02)
-  set(libpcrecpp_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/dom/external-libs/pcre-8.02)
-  set(libpcrecpp_LIBRARY_DIRS)
-  set(libpcrecpp_LIBRARIES pcrecpp_local)
-  set(libpcrecpp_CFLAGS_OTHERS "-DPCRE_STATIC")
-  set(libpcrecpp_LDFLAGS_OTHERS)
+pkg_check_modules(liburiparser liburiparser)
+
+if(liburiparser_FOUND)
+  set(liburiparser_CFLAGS_OTHERS "-DUSE_URIPARSER")
+else()
+  # try using pcrecpp
+  pkg_check_modules(libpcrecpp libpcrecpp)
+  if( libpcrecpp_FOUND )
+    set(CMAKE_REQUIRED_INCLUDES ${libpcrecpp_INCLUDE_DIRS})
+    check_include_file_cxx(pcrecpp.h HAVE_PCRECPP_H)
+    set(CMAKE_REQUIRED_INCLUDES)
+    if( NOT HAVE_PCRECPP_H )
+      set(libpcrecpp_FOUND 0)
+    endif()
+  endif()
+
+  if( NOT libpcrecpp_FOUND )
+    message(STATUS "System pcre not found, using local from sources")
+    # include the local pcre
+    add_subdirectory(dom/external-libs/pcre-8.02)
+    set(libpcrecpp_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/dom/external-libs/pcre-8.02)
+    set(libpcrecpp_LIBRARY_DIRS)
+    set(libpcrecpp_LIBRARIES pcrecpp_local)
+    set(libpcrecpp_CFLAGS_OTHERS "-DPCRE_STATIC")
+    set(libpcrecpp_LDFLAGS_OTHERS)
+  endif()
 endif()
 
 # declare minizip/zlib before libxml2! (for some reason the precompiled libxml2 libraries have zlib.h/zconf.h)
@@ -288,9 +296,3 @@
   # Packing information
   set(CPACK_PACKAGE_NAME collada-dom${COLLADA_DOM_SOVERSION})
   set(CPACK_PACKAGE_CONTACT "" CACHE STRING "Package maintainer and PGP signer.")
-  set(CPACK_PACKAGE_VENDOR "http://sourceforge.net/projects/collada-dom")
-  set(CPACK_PACKAGE_DISPLAY_NAME "collada-dom ${COLLADA_DOM_VERSION}")
-  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY " - COLLADA")
-  if( OPT_DOUBLE_PRECISION )
-    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} using double precision")
-  else()
