=== debian/changelog ===
collada-dom (2.4.4+ds1-2build5) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:07:05 +0000

collada-dom (2.4.4+ds1-2build4) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:54:07 +0000

collada-dom (2.4.4+ds1-2build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:11:21 +0000

collada-dom (2.4.4+ds1-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:13:04 +0000

collada-dom (2.4.4+ds1-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:13:49 +0000

collada-dom (2.4.4+ds1-2) unstable; urgency=medium

  * Add patch to solve return type. (Closes: #811658)
  * Update patches
  * Reformat patch to follow gbp-pq. Wookey authorship
  * Update VCS-* fields to avoid uses-insecure-uri
  * Bumped Standards-Version to 3.9.8. No changes

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 30 Jun 2016 08:14:19 +0200
