=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: collada-dom
 Priority: optional
-Section: Libs
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Section: science
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 	   Rosen Diankov <rosen.diankov@gmail.com>,
 	   Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 9), quilt, cmake, libxml2-dev, 
  libboost-dev, zlib1g-dev, libboost-filesystem-dev, libboost-system-dev, 
- libpcre3-dev, pkg-config, libminizip-dev
-Standards-Version: 3.9.6
+ libpcre3-dev, pkg-config, libminizip-dev, liburiparser-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/rdiankov/collada-dom
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/collada-dom.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/collada-dom.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/collada-dom.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/collada-dom.git
 
 Package: libcollada-dom2.4-dp0
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libbullet2
 Description: collada-dom 2.4.0  - COLLADA using double precision
