=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# Old upstream version. We change to github from Rosen Diankov
#opts=uversionmangle=s/$/+dfsg/ \
# http://sf.net/collada-dom/collada-dom-(.*)\.tar\.gz
# https://github.com/rdiankov/collada-dom/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/collada-dom-$1\.tar\.gz/ repacksuffix=+ds1 \
# https://github.com/rdiankov/collada-dom/releases .*/v?(\d\S*)\.tar\.gz
# For GitHub projects you can use the tags or releases page.  Since the
# archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/collada-dom-$1.tar.gz/" \
# https://github.com/rdiankov/collada-dom/releases ?:.*/)?v?(\d[\d\.]*)\.tar\.gz
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/collada-dom-$1\.tar\.gz/,dversionmangle=s/\+ds1\d?$//,repacksuffix=+ds1 \
  https://github.com/rdiankov/collada-dom/releases .*/v?(\d\S*)\.tar\.gz
