## collada-dom 2.5.0%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_FLAGS = \
	-DCMAKE_POLICY_MINIMUM_VERSION=3.10 \
	-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_SKIP_RPATH=ON \
	-DOPT_COLLADA15=ON \
	-DOPT_COLLADA14=ON \
	-DOPT_COMPILE_VIEWER=OFF \
	-DOPT_COMPILE_FX=OFF \
	-DOPT_COMPILE_RT=OFF \
	-DOPT_BUILD_PACKAGES=OFF \
	-DOPT_BUILD_PACKAGE_DEFAULT=OFF \
	-DOPT_DOUBLE_PRECISION=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)
